.\" $NetBSD: bswap.3,v 1.10 2005/12/26 19:40:14 perry Exp $
.\"
.\" Copyright (c) 1998 Manuel Bouyer.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 17, 1998
.Dt BSWAP 3
.Os
.Sh NAME
.Nm bswap16 ,
.Nm bswap32 ,
.Nm bswap64
.Nd byte-order swapping functions
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In sys/types.h
.In machine/bswap.h
.Ft uint16_t
.Fn bswap16 "uint16_t"
.Ft uint32_t
.Fn bswap32 "uint32_t"
.Ft uint64_t
.Fn bswap64 "uint64_t"
.Sh DESCRIPTION
The
.Fn bswap16 ,
.Fn bswap32 ,
and
.Fn bswap64
functions return the value of their argument with the bytes inverted.
They can be used to convert 16, 32 or 64 bits integers from little to big
endian, or vice-versa.
.Sh SEE ALSO
.Xr byteorder 3
